Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface SVGAnimationEngine.Factory

All Known Implementing Classes:
  SVGAnimationEngine.AnimatableAngleOrIdentFactory, SVGAnimationEngine.AnimatableAngleValueFactory, SVGAnimationEngine.AnimatableBooleanValueFactory, SVGAnimationEngine.AnimatableColorValueFactory, SVGAnimationEngine.AnimatableIntegerValueFactory, SVGAnimationEngine.AnimatableLengthListValueFactory, SVGAnimationEngine.AnimatableLengthOrIdentFactory, SVGAnimationEngine.AnimatableLengthValueFactory, SVGAnimationEngine.AnimatableNumberListValueFactory, SVGAnimationEngine.AnimatableNumberOrIdentFactory, SVGAnimationEngine.AnimatableNumberOrPercentageValueFactory, SVGAnimationEngine.AnimatableNumberValueFactory, SVGAnimationEngine.AnimatablePaintValueFactory, SVGAnimationEngine.AnimatablePathDataFactory, SVGAnimationEngine.AnimatablePointListValueFactory, SVGAnimationEngine.AnimatablePreserveAspectRatioValueFactory, SVGAnimationEngine.AnimatableRectValueFactory, SVGAnimationEngine.AnimatableStringValueFactory, SVGAnimationEngine.CSSValueFactory, SVGAnimationEngine.UncomputedAnimatableStringValueFactory

Enclosing class:
  SVGAnimationEngine

    protected static interface SVGAnimationEngine.Factory

Interface for AnimatableValue factories.

Method Summary
`AnimatableValue` | `createValue(AnimationTarget target, String ns, String ln, boolean isCSS, String s)` Creates a new AnimatableValue from a string.
`AnimatableValue` | `createValue(AnimationTarget target, String pn, Value v)` Creates a new AnimatableValue from a CSS `Value`.

Method Detail

### createValue

    AnimatableValue createValue(AnimationTarget target,
                                String ns,
                                String ln,
                                boolean isCSS,
                                String s)

  Creates a new AnimatableValue from a string.

### createValue

    AnimatableValue createValue(AnimationTarget target,
                                String pn,
                                Value v)

  Creates a new AnimatableValue from a CSS `Value`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.